> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Key Information

> Returns detailed information about the API key being used for the current request, including associated store and permissions.



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/api-keys/whoami/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/api-keys/whoami/:
    get:
      tags:
        - api-keys
      summary: Get API Key Information
      description: >-
        Returns detailed information about the API key being used for the
        current request, including associated store and permissions.
      operationId: api_key_whoami
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKey'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    APIKey:
      type: object
      properties:
        name:
          type: string
          description: A human-readable name for this API key
          maxLength: 255
        store_name:
          type: string
          readOnly: true
        role:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_used_at:
          type: string
          format: date-time
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
      required:
        - created_at
        - name
        - role
        - store_name
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````